<!--设备监测 -->
<template>
    <div class="storage-utilization">
        <div class="header">
            <div class="header-title">24小时变化曲线图</div>
        </div>
        <div ref="chartRef" style="width: 100%; min-height: 290px"></div>
    </div>
</template>
<script lang="ts" name="StorageUtilization" setup>
import { useMenuStore } from '@/store/menu';
import * as echarts from 'echarts';
const chartRef = ref<Record<string, any>>({});
const menu = useMenuStore();
let myChart: any = null;

const handleOptions = (x = [], y = []) => {
    const chart: any = chartRef.value;
    if (chart) {
        myChart = echarts.init(chart);
        const options = {
            grid: {
                top: '10%',
                left: '3%',
                right: '4%',
                bottom: '3%',
                containLabel: true,
            },
            tooltip: {},
            legend: {},
            xAxis: {
                type: 'category',
                data: [
                    '1列',
                    '2列',
                    '3列',
                    '4列',
                    '5列',
                    '6列',
                    '7列',
                    '8列',
                    '9列',
                    '10列',
                    '11列',
                ],
            },
            yAxis: {
                type: 'value',
            },
            series: [
                {
                    data: [120, 200, 150, 80, 70, 110, 130, 140, 120, 160, 190],
                    type: 'bar',
                    name: '容量',
                    barWidth: 10,
                    stack: 'Ad',
                    emphasis: {
                        focus: 'none',
                    },
                },
                {
                    data: [120, 200, 150, 80, 70, 110, 130, 140, 120, 160, 190],
                    type: 'bar',
                    name: '已上架',
                    barWidth: 10,
                    stack: 'Ad',
                    emphasis: {
                        focus: 'none',
                    },
                },
            ],
        };
        nextTick(() => {
            myChart.setOption(options);
            window.addEventListener('resize', function () {
                myChart.resize();
            });
        });
    }
};

watch(
    () => menu.collapsed,
    (newX) => {
        setTimeout(() => {
            myChart.resize();
        }, 300);
    },
);

onMounted(() => {
    handleOptions();
});
</script>
<style scoped lang="less">
.storage-utilization {
    flex: 1;
    height: 341px;
    padding: 16px;
    background: #ffffff;
    box-shadow: 0px 2px 6px 0px #cccccc;
    border-radius: 4px 4px 4px 4px;
    .header {
        display: flex;
        align-items: center;
        justify-content: space-between;
        .header-title {
            border-left: 3px solid #3468ff;
            padding-left: 8px;
            font-size: 16px;
            font-family: PingFang SC-Medium, PingFang SC;
            font-weight: 500;
            color: #333333;
            line-height: 23px;
        }
    }
}
</style>
